Bug 144438 - anaconda crashes when retrieving ks.cfg from CNAME nfs server
anaconda crashes when retrieving ks.cfg from CNAME nfs server
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: anaconda (Show other bugs)
3.0
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Peter Jones
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-06 20:11 EST by Greg Retkowski
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-19 15:09:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Greg Retkowski 2005-01-06 20:11:57 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.5)
Gecko/20041107 Firefox/1.0

Description of problem:
If kickstarting with a kickstart config file referenced via NFS to a
hostname which is actually a cname in DNS, anaconda will crash with an
un-useful error message "install exited abnormally"



Then using a syslinx config such as ...
default ks
label ks
  kernel vmlinuz-rhws-3
append initrd=initrd.img-rhws-3 text load_ramdisk=1 network
ks=nfs:a-cname:/kickstarts/generic-rhws3-ks.cfg
...


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
set up a cname for your kickstart server in DNS, something like:
filer-cname IN CNAME real-filer-hostname
Then when booting on the system to be kickstarted enter the argument
at the boot prompt:
linux ks=nfs:filer-cname:/kickstarts/generic-rhws3-ks.cfg


Actual Results:  After configuring an IP address (via DHCP) and
attempts to retrieve the kickstart config file the system displays
"install exected abnormally" and then halts.

Expected Results:  The system should either properly resolve the CNAME
and retrieve the kickstart config file, or display an error message
that CNAME's are not supported for retrieving kickstart configuration
files.

Additional info:
Comment 1 Jeremy Katz 2005-01-07 14:06:32 EST
Are you sure the NFS server is running on the NFS server?  I do this all the
time with our internal servers without problems.

Also, what update release of RHEL 3 is this with?
Comment 2 Greg Retkowski 2005-01-07 14:13:50 EST
Changing the 'ks=' entry to reference the IP address of the NFS server the
kickstart installation completes without error. nslookups of the CNAME resolve
the address correctly.

from /etc/redhat-release
Red Hat Enterprise Linux WS release 3 (Taroon Update 3)


Comment 3 Red Hat Bugzilla 2007-08-21 01:19:34 EDT
User pnasrat@redhat.com's account has been closed
Comment 4 RHEL Product and Program Management 2007-10-19 15:09:44 EDT
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
 
For more information of the RHEL errata support policy, please visit:
http://www.redhat.com/security/updates/errata/
 
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.

Note You need to log in before you can comment on or make changes to this bug.